/*********************************************************************
*                          S T D R E A D                             *
**********************************************************************
* Program is part of the Situs package (c) Willy Wriggers, 1998-2001 *
**********************************************************************
*                                                                    * 
* Auxiliary program to read from stdin                               *
*                                                                    *
**********************************************************************
* See legal statement for terms of distribution                      *
*********************************************************************/

#include "situs.h"    

int readlnint ()
/* returns first integer from input stream and checks for EOF or errors */ 

{ int i, ch;

  if (scanf("%d", &i) == EOF ) {
    fprintf(stderr, "stdread> Error: EOF while reading input [e.c. 20010]\n");
    exit (20010);
  }  
  for ( ; ; )  {
    ch = getchar(); 
    if (ch == EOF ) {
      fprintf(stderr, "stdread> Error: EOF while reading input [e.c. 20020]\n");
      exit (20020);
    }
    if (ch == '\n') break;
  } 
  return i;
}

MYFLT readlnmyflt ()
/* returns first floating point from input stream and checks for EOF or errors */ 

{ double ddx;
  int ch;

  if (scanf("%le", &ddx) == EOF ) {
    fprintf(stderr, "stdread> Error: EOF while reading input [e.c. 20030]\n");
    exit (20030);
  }  
  for ( ; ; )  {
    ch = getchar(); 
    if (ch == EOF ) {
      fprintf(stderr, "stdread> Error: EOF while reading input [e.c. 20040]\n");
      exit (20040);
    }
    if (ch == '\n') break;
  } 
  return ((MYFLT)ddx);
}

void removespaces(char *spaceyname, int fl)
/* removes erroneously pasted leading spaces from string */

{ int i;

for(;;) {
  if (spaceyname[0]==' ') {
    for (i=1;i<fl;++i) spaceyname[i-1]=spaceyname[i]; 
    --fl;
  }
  else break;
}

}


